From 05464aa0a795fac98b827c2d56e45e6f39c189f9 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 16:19:55 +0000
Subject: [PATCH 58/220] cosmic-desktop


---

diff --git a/cosmic-epoch/cosmic-epoch.spec b/cosmic-epoch/cosmic-epoch.spec
index d64cb3d..25fcb4a 100644
--- a/cosmic-epoch/cosmic-epoch.spec
+++ b/cosmic-epoch/cosmic-epoch.spec
@@ -1,4 +1,7 @@
-# COSMIC Desktop meta package
+%global ver ###
+%global commit ###
+%global date ###
+
 Name:           cosmic-epoch
 Version:        0.1.0~20240226
 
diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
new file mode 100644
index 0000000..761dd5d
--- /dev/null
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -0,0 +1,53 @@
+%global ver ###
+%global commit ###
+%global date ###
+
+Name:           cosmic-desktop
+Version:        %{ver}~%{date}
+Release:        %autorelease
+Summary:        The next generation COSMIC Desktop Environment
+
+License:        GPL-3.0
+
+URL:            https://github.com/pop-os/cosmic-epoch
+
+Requires:       cosmic-app-library
+Requires:       cosmic-applets
+Requires:       cosmic-bg
+Requires:       cosmic-comp
+Requires:       cosmic-icons
+Requires:       cosmic-launcher
+Requires:       cosmic-notifications
+Requires:       cosmic-osd
+Requires:       cosmic-panel
+Requires:       cosmic-randr
+Requires:       cosmic-screenshot
+Requires:       cosmic-session
+Requires:       cosmic-settings
+Requires:       cosmic-settings-daemon
+Requires:       cosmic-workspaces
+Requires:       pop-launcher
+Requires:       xdg-desktop-portal-cosmic
+
+Recommends:     cosmic-edit
+Recommends:     cosmic-files
+Recommends:     cosmic-greeter
+Recommends:     cosmic-store
+Recommends:     cosmic-term
+Recommends:     system76-power
+
+%global _description %{expand:
+%{summary}.}
+
+%description %{_description}
+
+%prep
+
+%build
+
+%install
+
+%files
+
+%changelog
+%autochangelog

